/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TDmPerson;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TDmPersonRecord extends UpdatableRecordImpl<TDmPersonRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_dm_person.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_person.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_dm_person.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_person.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_dm_person.fk_usnr</code>. person id
     */
    public void setFkUsnr(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_person.fk_usnr</code>. person id
     */
    public Integer getFkUsnr() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_dm_person.user_mail</code>. mail address of
     * recipient
     */
    public void setUserMail(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_person.user_mail</code>. mail address of
     * recipient
     */
    public String getUserMail() {
        return (String) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TDmPersonRecord
     */
    public TDmPersonRecord() {
        super(TDmPerson.T_DM_PERSON);
    }

    /**
     * Create a detached, initialised TDmPersonRecord
     */
    public TDmPersonRecord(LocalDateTime lastchange, Integer pk, Integer fkUsnr, String userMail) {
        super(TDmPerson.T_DM_PERSON);

        setLastchange(lastchange);
        setPk(pk);
        setFkUsnr(fkUsnr);
        setUserMail(userMail);
        resetChangedOnNotNull();
    }
}
